==========================
vo.table API documentation
==========================

:mod:`vo.table`: Loading entire VOTable files
=============================================

.. automodule:: vo.table
   :members:
   :undoc-members:
   :show-inheritance:

:mod:`vo.tree`: Accessing and modifying the individual parts of VOTable files
=============================================================================

.. inheritance-diagram:: vo.tree
   :parts: 1

.. automodule:: vo.tree
   :members:
   :undoc-members:
   :show-inheritance:

:mod:`vo.converters`: Conversions between XML and Numpy datatypes
=================================================================

.. inheritance-diagram:: vo.converters
   :parts: 1

.. automodule:: vo.converters
   :members:
   :undoc-members:
   :show-inheritance:

:mod:`vo.voexceptions`: Exceptions raised by vo.table
=====================================================

.. automodule:: vo.voexceptions
   :members: warn_or_raise, vo_raise, vo_reraise, vo_warn, parse_vowarning, VOWarning
   :undoc-members:
   :show-inheritance:

:mod:`vo.ucd`: Functions to parse and verify unified content descriptors
========================================================================

.. automodule:: vo.ucd
   :members:
   :undoc-members:
   :show-inheritance:

:mod:`vo.util`: Low-level utilities used by the library
=======================================================

.. automodule:: vo.util
   :members:
   :undoc-members:
   :show-inheritance:

:mod:`vo.xmlutil`: XML-related utilities used by the library
============================================================

.. automodule:: vo.xmlutil
   :members:
   :undoc-members:
   :show-inheritance:
